@import "../../../styleVariables.scss";

$color-user : $color-user1;

  .msg{
    display: flex;
    position: relative;
    margin-bottom: 2em;
  }

  blockquote {
    padding: .5em;
    border-radius: .35em;
    position: relative;
    display: inline-block;
    margin: 0;
    max-width: 60%;
  }

  .msg--me blockquote::after, .msg--them blockquote::before {
    position: absolute;
    display: block;
    content: '';
    width: 0;
    height: 0;
  }
  .msg--me blockquote {
    background-color: $color-primary;
  }

.msg--me blockquote::after {
    border: .5em solid $color-border;
    top: .5em;
    right: -1em;
}

.msg--them blockquote {
  background-color: $color-user;
  margin-left: 1em;
}

.msg--them blockquote::before {
    border: .5em solid $color-border;
    border-color: $color-user $color-user transparent transparent;
    top: .5em;
    left: -1em;
}

.msg--me {
  justify-content: flex-end; 
  .thumb{
    float: right;
  }
}

.msg--me blockquote {
    order: -1;
    margin-right: 1em;
}

.thumb {
  background-image: url("../../../assets/images/keanu.jpg");
	display: inline-block;
	width: 50px;
	height: 50px;
	border-radius: 50px;
	background-size: cover;
	background-position: top center;
	background-repeat: no-repeat;
}


